Validate compatibility batch
POST
/v1/compatibility/batch
const url = 'https://example.com/komplettpc/v1/compatibility/batch';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"baseConfiguration":[{"productId":"example"}],"productsToValidate":[{"productId":"example"}],"productIdToReplace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/komplettpc/v1/compatibility/batch \ --header 'Content-Type: application/json' \ --data '{ "baseConfiguration": [ { "productId": "example" } ], "productsToValidate": [ { "productId": "example" } ], "productIdToReplace": "example" }'Validates each candidate product against a base configuration, returning per-product compatibility results.
Request Bodyrequired
Section titled “Request Bodyrequired”object
baseConfiguration
required
Array<object>
object
productId
required
string
productsToValidate
required
Array<object>
object
productId
required
string
productIdToReplace
required
null | string
Examplegenerated
{ "baseConfiguration": [ { "productId": "example" } ], "productsToValidate": [ { "productId": "example" } ], "productIdToReplace": "example"}object
baseConfiguration
required
Array<object>
object
productId
required
string
productsToValidate
required
Array<object>
object
productId
required
string
productIdToReplace
required
null | string
Examplegenerated
{ "baseConfiguration": [ { "productId": "example" } ], "productsToValidate": [ { "productId": "example" } ], "productIdToReplace": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
results
required
Array<object>
object
productId
required
string
validationResult
required
object
isValid
required
boolean
invalidProducts
required
Array<string>
errors
required
Array<object>
object
ruleName
required
string
message
required
string
shortMessage
required
string
severity
required
string
relatedProducts
required
Array<string>
warnings
required
Array<object>
object
ruleName
required
string
message
required
string
shortMessage
required
string
category
required
string
relatedProducts
required
Array<string>
Examplegenerated
{ "results": [ { "productId": "example", "validationResult": { "isValid": true, "invalidProducts": [ "example" ], "errors": [ { "ruleName": "example", "message": "example", "shortMessage": "example", "severity": "example", "relatedProducts": [ "example" ] } ], "warnings": [ { "ruleName": "example", "message": "example", "shortMessage": "example", "category": "example", "relatedProducts": [ "example" ] } ] } } ]}Bad Request
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
required
Array<object>
object
fieldName
required
string
message
required
string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": [ { "fieldName": "example", "message": "example" } ], "code": "example", "traceId": "example"}Unauthorized
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Forbidden
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Internal Server Error
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}